/*
 * schedule.h
 * 2011-03-02 kleine Änderungen
 * 2011-04-01 us auf uint8_t umgeschrieben
 * 2011-04-05 -us neu typedef utimer_t
 * 2011-04-20 -us GPIOR0 für f_timer_tick eingefügt
 *
 */
#ifndef _INCL_SCHEDULE_H
#define _INCL_SCHEDULE_H

#include <inttypes.h>
#include "main.h"
#include "timer.h"

typedef unsigned char uchar_t;			// für 120 Sekunden Wartezeit
typedef void (*funcp)(void);
typedef unsigned int utimer_t;			// 16-Bit Zähler


#define TIMERTICK 	(utimer_t)(F_CPU / T0_PRESCALE / T0_COUNTER)
#define SECONDS(x)	(utimer_t)(TIMERTICK * (x) + 0.5)

#ifndef GPIOR0
 extern volatile uchar_t f_timer_tick;	// timer flag
#endif

extern void timertick(void);
extern uchar_t timeradd( funcp func, utimer_t delay );
extern uchar_t timerremove( funcp func );
extern void timerinit(void);
#endif
