#ifndef _INCL_ATTINY861_H
#define _INCL_ATTINY861_H

#define SET_BIT_PSR0()		sbit(GTCCR,PSR0)
#define CLR_BIT_PSR0()		cbit(GTCCR,PSR0)

#define SET_BIT_PSR1()		sbit(GTCCR,PSR1)
#define CLR_BIT_PSR1()		cbit(GTCCR,PSR1)

#define SET_BIT_TSM()		sbit(GTCCR,TSM)
#define CLR_BIT_TSM()		cbit(GTCCR,TSM)

#define SET_PRESCALE_T0(_x)	TCCR0B = (_x)
#define SET_PRESCALE_T1(_x)	TCCR1 |= (_x)

#define SET_CTC_T0()		sbit(TCCR0A,WGM01)	// CTC Modus
#define SET_CTC_T1()		sbit(TCCR1,CTC1)	// CTC Modus
#define SET_COUNTER_T1()	cbit(TCCR1,CTC1)	// !CTC Modus

#define SET_PWM_T1_A()		TCCR1 |= (_BV(PWM1A) | _BV(COM1A1))
#define SET_PWM_T1_B()		GTCCR |= (_BV(PWM1B) | _BV(COM1B1))

#define SET_TCNT0(_x)		TCNT0 = (_x)
#define SET_TCNT1(_x)		TCNT1 = (_x)

#define SET_OCR_(_reg,_val)	OCR##_reg = (_val)
#define SET_OCR(_reg,_val)	SET_OCR_(_reg,_val)

// 8-Bit Timer - Timer0 on atMega85
#define _T0_PRESCALE_0		(0)
#define _T0_PRESCALE_1		(1<<CS00)
#define _T0_PRESCALE_8		(1<<CS01)
#define _T0_PRESCALE_64		(1<<CS01 ^ 1<<CS00)
#define _T0_PRESCALE_256	(1<<CS02)
#define _T0_PRESCALE_1024	(1<<CS02 ^ 1<<CS00)

// 168-Bit Timer - Timer1 on atMega85
#define _T1_PRESCALE_0		(0)
#define _T1_PRESCALE_1		(1<<CS10)
#define _T1_PRESCALE_2		(1<<CS11 ^ 0<<CS10)
#define _T1_PRESCALE_4		(1<<CS11 ^ 1<<CS10)
#define _T1_PRESCALE_8		(1<<CS12)
#define _T1_PRESCALE_16		(1<<CS12 ^ 1<<CS10)
#define _T1_PRESCALE_32		(1<<CS12 ^ 1<<CS11)
#define _T1_PRESCALE_64		(1<<CS12 ^ 1<<CS11 ^ 1<<CS10)
#define _T1_PRESCALE_128	(1<<CS13)
#define _T1_PRESCALE_256	(1<<CS13 ^ 1<<CS10)
#define _T1_PRESCALE_512	(1<<CS13 ^ 1<<CS11)
#define _T1_PRESCALE_1024	(1<<CS13 ^ 1<<CS11 ^ 1<<CS10)
#define _T1_PRESCALE_2048	(1<<CS13 ^ 1<<CS12)
#define _T1_PRESCALE_4096	(1<<CS13 ^ 1<<CS12 ^ 0<<CS11 ^ 1<<CS10)
#define _T1_PRESCALE_8192	(1<<CS13 ^ 1<<CS12 ^ 1<<CS11 ^ 0<<CS10)
#define _T1_PRESCALE_16384	(1<<CS13 ^ 1<<CS12 ^ 1<<CS11 ^ 1<<CS10)

#endif
