#ifndef _INCL_ATTINY861_H
#define _INCL_ATTINY861_H

#define SET_BIT_PSR0()		sbit(TCCR0B,PSR0)
#define CLR_BIT_PSR0()		cbit(TCCR0B,PSR0)

#define SET_BIT_PSR1()		sbit(TCCR1B,PSR1)
#define CLR_BIT_PSR1()		cbit(TCCR1B,PSR1)

#define SET_BIT_TSM()		sbit(TCCR0B,TSM)
#define CLR_BIT_TSM()		cbit(TCCR0B,TSM)

#define SET_PRESCALE_T0(_x)	TCCR0B |= (_x)
#define SET_PRESCALE_T1(_x)	TCCR1B |= (_x)

#define SET_PWM_T1_A()		TCCR1A |= (_BV(PWM1A) | _BV(COM1A1))
#define SET_PWM_T1_B()		TCCR1A |= (_BV(PWM1B) | _BV(COM1B1))

#define SET_CTC_T0()		sbit(TCCR0A,CTC0); cbit(TCCR0A,TCW0);

#define SET_TCNT0(_x)		TCNT0L = (_x)
#define SET_TCNT1(_x)		TCNT1 = (_x)

#define SET_OCR_(_reg,_val)	OCR##_reg = (_val)
#define SET_OCR(_reg,_val)	SET_OCR_(_reg,_val)

#define ENABLE_INT(_int)	sbit(TIMSK,_int);	// interrupt einschalten

#endif
