/*
 * timer.c
 * 20110316 (c) DE0508, Uwe
 * http://www.rn-wissen.de/index.php/Speicherverbrauch_bestimmen_mit_avr-gcc
 * 20110318 -us timer variable von 16-bit auf 8-bit umgestellt
 * 20110319 -us clean up
 * 20110322 -us Timer0 und Timer1 auf atTiny861 umgestellt.
 * 	dazu habe ich zwei include geschrieben: attiny861.h, attiny85.h
 * 2011-04-20 -us GPIOR0 für f_timer_tick eingefügt
 */

#include <avr/io.h>
#include <avr/interrupt.h>
#include <inttypes.h>

#include "main.h"
#include "timer.h"
#include "schedule.h"
#include "entprellen.h"


#ifdef USE_TIMER0
/*
 * Interrupt Timer0 Compare A
 */
ISR(TIMER0_COMPA_vect)
{
  f_timer_tick = 1;				// scheduler takt

  ISR_DEBOUNCE();
}


void Setup_Timer0(uint8_t counter, uint8_t prescale)
{
  SET_BIT_PSR0();				// Timer0 off

  SET_TCNT0(0);
  SET_OCR(0A, counter -1);
  SET_CTC_T0();					// CTC Modus
  SET_PRESCALE_T0( prescale );

  sbit(TIMSK,OCIE0A);				// enable Interrrupt
}
#endif

